#pragma once
#include <stdint.h>

#define UI_BLINK_MS 250

void ui_text_number18x32(uint32_t num, uint16_t x, uint16_t y, uint16_t color);

/* 绘制界面元素 */
void ui_com_title_bar(uint8_t clear, uint8_t *text, uint32_t bytes_len);
void ui_com_freq_digital(uint8_t clear, uint8_t only_pointer);
void ui_com_fm_am(uint8_t clear);
void ui_com_vol_bar(uint8_t clear);
void ui_com_sig_bar(uint8_t clear);
/* 图标 */
void icon_stereo();
/* 绘制主界面 */
void ui_screen_main();
void ui_screen_main_animation();
